Bug 246320 - xorg sometimes fails with ATI Radeon Xpress 200M card
xorg sometimes fails with ATI Radeon Xpress 200M card
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-30 03:41 EDT by Saul Thomas
Modified: 2008-01-21 07:46 EST (History)
0 users

See Also:
Fixed In Version: f7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 07:46:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saul Thomas 2007-06-30 03:41:20 EDT
Description of problem:
Sometimes when x starts during boot, the screen goes mostly blank, with only
some indistinct grey lines across the screen. When the login screen appears, the
screen turns bluish, but everything is still completely indistinct. ctrl+alt+f1
does not make the screen return to normal. Sometimes a restart will get the
screen back to normal. Sometimes four or five restarts are necessary before x
loads as it should. 



Version-Release number of selected component (if applicable):


How reproducible:
Boot with a an ATI Radeon Xpress 200M graphics card. Sometimes x loads normally,
sometimes it does not. 

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Sometimes when x starts during boot, the screen goes mostly blank, with only
some indistinct grey lines across the screen. When the login screen appears, the
screen turns bluish, but everything is still completely indistinct. ctrl+alt+f1
does not make the screen return to normal. The screen is unreadable.

Expected results:
x starts normally

Additional info:
I had the same problem with FC6, and solved it by installing the ati driver from
the livna repo.

I assume that the problem has to do with my video card: Radeon Xpress 200M

This issue makes booting fedora very unreliable--sometimes it works, and
sometimes it does not. I have not had this problem with debian based systems,
but it is possible that pc linux os might cause the same problem (I have only
used that once, and the screen produced that result while x was shutting down).

I have read that the new ATI driver does not work correctly with fedora 7, so I
am unable to fix the problem in this way.

It is possible that the problem might be solved by modifying xorg.conf, but I
don't know what values to change. 

Please let me know if more information is required.
Comment 1 Matěj Cepl 2007-11-26 13:03:15 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2008-01-17 09:28:16 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 3 Saul Thomas 2008-01-19 01:34:01 EST
The problem seems to have gone away by itself! The old problem has happened
once, perhaps, when coming out of suspend, but only once out of probably several
dozen resumes, so the problem is not at all severe. Perhaps it was fixed by an
update to xorg?

Thanks very much
Comment 4 Matěj Cepl 2008-01-21 07:46:10 EST
Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.